__version__=''' $Id: test_docs_build.py 3268 2008-09-03 16:18:43Z rgbecker $ '''
"""Tests that all manuals can be built.
"""
import os, sys, unittest
from tests.utils import SecureTestCase, printLocation, testsFolder

class ManualTestCase(SecureTestCase):
    "Runs all 3 manual-builders from the top."

    def test0(self):
        "Test if all manuals buildable from source."
        docsFolder = os.path.join(testsFolder,'..','docs')
        cwd = os.getcwd()
        os.chdir(docsFolder)
        try:
            if os.path.isfile('userguide.pdf'):
                os.remove('userguide.pdf')
            if os.path.isfile('graphguide.pdf'):
                os.remove('graphguide.pdf')
            if os.path.isfile('reference.pdf'):
                os.remove('reference.pdf')
            if os.path.isfile('graphics_reference.pdf'):
                os.remove('graphics_reference.pdf')

            os.system("%s genAll.py -s" % sys.executable)

            assert os.path.isfile('userguide.pdf'), 'genAll.py failed to generate userguide.pdf!'
            assert os.path.isfile('graphguide.pdf'), 'genAll.py failed to generate graphguide.pdf!'
            assert os.path.isfile('reference.pdf'), 'genAll.py failed to generate reference.pdf!'
            assert os.path.isfile('graphics_reference.pdf'), 'genAll.py failed to generate graphics_reference.pdf!'
        finally:
            os.chdir(cwd)

def makeSuite():
    suite = unittest.TestSuite()
    loader = unittest.TestLoader()
    if sys.platform[:4] != 'java':
        suite.addTest(loader.loadTestsFromTestCase(ManualTestCase))
    return suite

#noruntests
if __name__ == "__main__":
    unittest.TextTestRunner().run(makeSuite())
    printLocation()
